# joselib: A JOSE implementation in python

[![tests][test_badge]][test_url]
[![license][licence_badge]][licence_url]
[![pypi][pypi_badge]][pypi_url]
[![downloads][pepy_badge]][pepy_url]
[![code style: black][black_badge]][black_url]
[![build automation: yam][yam_badge]][yam_url]
[![Lint: ruff][ruff_badge]][ruff_url]

The JavaScript Object Signing and Encryption (JOSE) technologies - JSON
Web Signature (JWS), JSON Web Encryption (JWE), JSON Web Key (JWK), and
JSON Web Algorithms (JWA) - collectively can be used to encrypt and/or
sign content using a variety of algorithms. While the full set of
permutations is extremely large, and might be daunting to some, it is
expected that most applications will only use a small set of algorithms
to meet their needs.

## Links

- [Documentation]
- [Changelog]

[test_badge]: https://github.com/spapanik/joselib/actions/workflows/tests.yml/badge.svg
[test_url]: https://github.com/spapanik/joselib/actions/workflows/tests.yml
[licence_badge]: https://img.shields.io/badge/License-LGPL_v3-blue.svg
[licence_url]: https://github.com/spapanik/joselib/blob/main/docs/LICENSE.md
[pypi_badge]: https://img.shields.io/pypi/v/joselib
[pypi_url]: https://pypi.org/project/joselib
[pepy_badge]: https://pepy.tech/badge/joselib
[pepy_url]: https://pepy.tech/project/joselib
[black_badge]: https://img.shields.io/badge/code%20style-black-000000.svg
[black_url]: https://github.com/psf/black
[yam_badge]: https://img.shields.io/badge/build%20automation-yamk-success
[yam_url]: https://github.com/spapanik/yamk
[ruff_badge]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/charliermarsh/ruff/main/assets/badge/v1.json
[ruff_url]: https://github.com/charliermarsh/ruff
[Documentation]: https://joselib.readthedocs.io/en/stable/
[Changelog]: https://github.com/spapanik/joselib/blob/main/docs/CHANGELOG.md
